curl --request PUT \
--url https://api.vogent.ai/api/functions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedNumbers": [
{
"number": "<string>"
}
],
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"allowAnyNumber": true
}
'import requests
url = "https://api.vogent.ai/api/functions/{id}"
payload = {
"allowedNumbers": [{ "number": "<string>" }],
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"allowAnyNumber": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedNumbers: [{number: '<string>'}],
name: '<string>',
displayName: '<string>',
description: '<string>',
allowAnyNumber: true
})
};
fetch('https://api.vogent.ai/api/functions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "transfer",
"allowedNumbers": [
{
"number": "<string>"
}
],
"allowAnyNumber": true,
"lifecycleMessages": {
"started": [
"<string>"
],
"waiting": [
"<string>"
],
"awaitSpeech": true
}
}Update function
Updates a specific function.
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the function.
Body
Update function properties
- Transfer
- API
The numbers that the agent is allowed to transfer to.
Show child attributes
Show child attributes
The name of the function.
A human readable label for the function, used in the Vogent dashboard instead of the name. Never shown to the model. Set it to an empty string to fall back to the name.
A description of what the function does.
transfer, api Messages to display during function execution lifecycle events.
Show child attributes
Show child attributes
Instead of using a fixed list of allowed numbers, allow the agent to transfer to any number (not recommended).
Response
Successful operation
- Transfer
- API
The name of the function.
A human readable label for the function, used in the Vogent dashboard instead of the name. Never shown to the model, and empty when unset — display the name in that case.
A description of what the function does.
transfer, api The numbers that the agent is allowed to transfer to.
Show child attributes
Show child attributes
Instead of using a fixed list of allowed numbers, allow the agent to transfer to any number (not recommended).
Messages to display during function execution lifecycle events.
Show child attributes
Show child attributes